> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch v3consumers contracts productsproduct start

> Adds product start (in contrast to delivery start) to the product



## OpenAPI

````yaml /lumx_openapi.yaml patch /v3/consumers/{userID}/contracts/{contractID}/products/product_start/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/consumers/{userID}/contracts/{contractID}/products/product_start/:
    patch:
      tags:
        - consumers
      description: Adds product start (in contrast to delivery start) to the product
      operationId: consumers_contracts_products_product_start_partial_update
      parameters:
        - in: path
          name: contractID
          schema:
            type: string
            pattern: ^[\w-]+$
          required: true
        - in: path
          name: userID
          schema:
            type: string
            pattern: ^[\w-]+$
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedAddProductStart'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedAddProductStart'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedAddProductStart'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AddProductStart'
          description: ''
components:
  schemas:
    PatchedAddProductStart:
      type: object
      properties:
        product_start:
          type: string
          format: date
    AddProductStart:
      type: object
      properties:
        product_start:
          type: string
          format: date
      required:
        - product_start

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.